//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "EditDlgs.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma link "LogDlgs"
#pragma resource "*.dfm"
TEditDlg *EditDlg;
//---------------------------------------------------------------------------
bool __fastcall EditAppIni(TForm *Owner, TColor txtColor)
{
   EditDlg = new TEditDlg(Owner);
   EditDlg->Memo1->Font->Color = txtColor;
   AnsiString fname = ChangeFileExt(AppExeName,".ini");
   if (FileExists(fname)) EditDlg->Memo1->Lines->LoadFromFile(fname);
   else EditDlg->Memo1->Clear();
   EditDlg->ActiveControl = EditDlg->Memo1;
   EditDlg->ShowModal();
   if (EditDlg->dosave) EditDlg->Memo1->Lines->SaveToFile(fname);
   delete EditDlg;
   return true;
}
//---------------------------------------------------------------------------
__fastcall TEditDlg::TEditDlg(TComponent* Owner)
	: TLogDlg(Owner)
{
   dosave = false;
}
//---------------------------------------------------------------------------
void __fastcall TEditDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (Memo1->Modified)
   {
      if (ModalResult==mrCancel)
      {
         switch(MsgDlg(this,
            "Your ini values are modified. Save your changes?",
            "Confirm",MB_YESNOCANCEL))
         {
            case IDCANCEL: CanClose = false;
            case IDNO: return;
         }
      }
      dosave = true;
   }
}
//---------------------------------------------------------------------------
