//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "HashTimeThrds.h"
#include "HashCashDlgs.h"
#include "HashCash.h"
//---------------------------------------------------------------------------
BOOL __fastcall DoEstimateTimeRequired(int bits, TThreadPriority priority,
   AnsiString *output)
{
   THashTimeThread *HTThread = new THashTimeThread(true);
   HTThread->Priority = priority;
   HTThread->output = output;
   HTThread->bits = bits;
   HTThread->Resume();
   HTThread->WaitFor();
   delete HTThread;
   return true;
}
//---------------------------------------------------------------------------
__fastcall THashTimeThread::THashTimeThread(BOOL CreateSuspended)
	: TThread(CreateSuspended)
{
   output = NULL;
   bits = 0;
}
//---------------------------------------------------------------------------
#define s(txt) AnsiString(txt)
void __fastcall THashTimeThread::Execute()
{
   if (!output) return;
   double time_est = hashcash_estimate_time(bits);
   AnsiString seconds,secs=seconds.FloatToStrF(time_est,AnsiString::sffFixed,15,0);
   *output = "estimated time: "+secs+" seconds ("+Seconds2HMS(time_est)+")\nok";
}
//---------------------------------------------------------------------------
