//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <vcl\clipbrd.hpp>
#pragma hdrstop

#include "ImportDlgs.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TImportDlg *ImportDlg;
//---------------------------------------------------------------------------
bool __fastcall ImportHashCashTokens(TForm *Owner, TStrings *Tokens)
{
   Tokens->Clear();
   ImportDlg = new TImportDlg(Owner);
   ImportDlg->ShowModal();
   bool doimport = ImportDlg->ModalResult==mrOk || ImportDlg->ModalResult==mrYes;
   if (ImportDlg->tokens->Count && doimport)
      Tokens->AddStrings(ImportDlg->tokens);
   delete ImportDlg;
   return doimport;
}
//---------------------------------------------------------------------------
__fastcall TImportDlg::TImportDlg(TComponent* Owner)
	: TForm(Owner)
{
   ClipBtn->Enabled = Clipboard()->HasFormat(CF_TEXT);
   tokens = new TStringList();
   CenterDialog(this,Owner);
}
//---------------------------------------------------------------------------
__fastcall TImportDlg::~TImportDlg()
{
   delete tokens;
}
//---------------------------------------------------------------------------
void __fastcall TImportDlg::ClipBtnClick(TObject *Sender)
{
   if (Clipboard()->HasFormat(CF_TEXT))
      tokens->Text = Clipboard()->AsText;
   ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TImportDlg::LocBtnClick(TObject *Sender)
{
   OpenDialog->InitialDir = AppDir;
   if (OpenDialog->Execute())
   {
      tokens->LoadFromFile(OpenDialog->FileName);
      ModalResult = mrYes;
      return;
   }
   ModalResult = mrCancel;
}
//---------------------------------------------------------------------------